// POVRay2.0
// Peter Dunlap
// This file uses a new looping construct to generate 400 individual
// spheres with their positions specified by a complex mathmatical
// function.  Each sphere is also a different color.

include "colors.inc"

declare X = 3.5
declare PI = 3.1415926535897932
declare SCL = 6

declare RBogus = object {
	sphere { < 0, 0, 0 > 0.5 }
}

declare ZMAX = 16
declare TMAX = 25

declare Z0 = 0
loop ZMAX {
	declare Z = Z0 / (ZMAX - 1)
	declare T0 = 0
	loop TMAX {
		declare T = T0 / (TMAX - 1)
		object {
			RBogus
			translate < 20*T, 16*T+9*Z+SCL*sin(2*PI*T), 4+3*Z >
			texture {pigment { rgb < T, 0, Z > }}
		}
		declare T0 = T0 + 1
	}
	declare Z0 = Z0 + 1
}

light_source {
	< 10, 15, -10 >
	color rgb < 2, 2, 2 >
}

camera {
	location < 10, 16, -20 >
	look_at < 10, 16, 0 >
}
